#include <bits/stdc++.h>
#define xx first
#define yy second

typedef long long ll;

using namespace std;

const ll maxn=2000;
const ll logg=30;

ll dij[2*maxn][logg];

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll n,m;
    cin>>n>>m;
    for(ll i=0;i<n;i++){
        for(ll j=0;j<m;j++){
            ll a;
            cin>>a;
            for(ll b=0;b<logg;b++){
                if(a&(1LL<<b)) dij[i+j][b]^=1;
            }
        }
    }
    ll res=0;
    for(ll i=0;i<logg;i++){
        ll ima=0;
        ll nema=0;
        for(int d=0;d<n+m-1;d++){
            if(dij[d][i]) ima++;
            else nema++;
        }
        res+=min(ima,nema)*(1LL<<i);
    }
    cout<<res;
    return 0;
}